Package org.apache.sling.pipes.internal.inputstream

## Class CsvPipe

- java.lang.Object
- - org.apache.sling.pipes.BasePipe
  - - org.apache.sling.pipes.AbstractInputStreamPipe
    - - org.apache.sling.pipes.internal.inputstream.CsvPipe

All Implemented Interfaces:
  `Pipe`

    public class CsvPipe
    extends AbstractInputStreamPipe

Csv input stream pipe, similar at what

### Field Summary

Fields
`protected static String` `DEFAULT_SEPARATOR`
`protected static String` `PN_SEPARATOR`
`static String` `RESOURCE_TYPE`

### Fields inherited from class org.apache.sling.pipes.AbstractInputStreamPipe

`binding, BINDING_IS, REMOTE_START, VALID_PATH`

### Fields inherited from class org.apache.sling.pipes.BasePipe

`afterHook, beforeHook, bindingProviders, bindings, distributionAgent, DRYRUN_EXPR, DRYRUN_KEY, EMPTY_ITERATOR, IGNORED_NODES, IGNORED_PROPERTIES, parent, plumber, PN_AFTERHOOK, PN_BEFOREHOOK, PN_STATUS, PN_STATUS_MODIFIED, properties, READ_ONLY, resolver, resource, RT_PREFIX, SLASH, STATUS_FINISHED, STATUS_STARTED`

### Fields inherited from interface org.apache.sling.pipes.Pipe

`NN_CONF, PN_DISTRIBUTION_AGENT, PN_EXPR, PN_NAME, PN_PATH`

### Constructor Summary

Constructors
`CsvPipe​(Plumber plumber, org.apache.sling.api.resource.Resource resource, PipeBindings upperBindings)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Iterator<org.apache.sling.api.resource.Resource>` `getOutput​(InputStream inputStream)`

### Methods inherited from class org.apache.sling.pipes.AbstractInputStreamPipe

`after, computeOutput, getOutputBinding`

### Methods inherited from class org.apache.sling.pipes.BasePipe

`before, getBindings, getComputedPath, getConfiguration, getDistributionAgent, getExpr, getInput, getName, getOutput, getParent, getPath, getPreviousPipe, getPreviousResource, getRawExpression, getRawPath, getResource, isDryRun, isRootPath, modifiesContent, provideAdditionalBindings, setParent, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### RESOURCE_TYPE

    public static final String RESOURCE_TYPE

See Also:
  Constant Field Values

#### PN_SEPARATOR

    protected static final String PN_SEPARATOR

See Also:
  Constant Field Values

#### DEFAULT_SEPARATOR

    protected static final String DEFAULT_SEPARATOR

See Also:
  Constant Field Values

### Constructor Detail

#### CsvPipe

    public CsvPipe​(Plumber plumber,
                   org.apache.sling.api.resource.Resource resource,
                   PipeBindings upperBindings)

### Method Detail

#### getOutput

    public Iterator<org.apache.sling.api.resource.Resource> getOutput​(InputStream inputStream)

Specified by:
  `getOutput` in class `AbstractInputStreamPipe`